Bug 829105 - Closing windows with many combo boxes do core-dump if XIM is enabled.
Closing windows with many combo boxes do core-dump if XIM is enabled.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openmotif (Show other bugs)
6.2
i686 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Carlos Soriano
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 22:28 EDT by Akira YOSHIYAMA
Modified: 2017-12-06 05:26 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 05:26:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to fix the problem (1.34 KB, application/octet-stream)
2012-06-05 22:28 EDT, Akira YOSHIYAMA
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
MotifZone 1559 None None None 2012-06-05 22:44:37 EDT

  None (edit)
Description Akira YOSHIYAMA 2012-06-05 22:28:08 EDT
Created attachment 589693 [details]
A patch to fix the problem

Description of problem:
Closing windows with many combo boxes do core-dump if XIM is enabled.
It looks double-freed at XtWidgetToApplicationContext() from 
_XmImFreeShellData() in XmIm.c.

Version-Release number of selected component (if applicable):
openmotif-2.3.3-4.el6.i686.rpm

How reproducible:
Always

Steps to Reproduce:
1. Enable XIM with "export XMODIFIERS=@im=ibus"
2. Create a window with many combo boxes.
3. Input some characters at a combo box.
4. Close the window.

Actual results:
Core dumped.

Expected results:
No core dumped and continued.

Additional info:
See my bug report at MotifZone below. There is a test tool.
http://bugs.motifzone.net/show_bug.cgi?id=1559
Comment 2 RHEL Product and Program Management 2012-09-07 01:25:33 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 3 Jan Kurik 2017-12-06 05:26:53 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.